form.enhanced_form,
form.enhanced_form *
{
  font-size:1em;
  font-family:Verdana, sans-serif;
  padding:0;
  margin:0;
}

form.enhanced_form p.titre
{
  font-weight:bold;
  font-size:110%;
}

/*
 * place le formulaire au centre de la page
 */
form.enhanced_form
{
  text-align:center;
}

/*
 * block pour permettre le redimensionnement
 */
form.enhanced_form label
{
  text-align:right;
  display:block;
}

/*
 * le display:block des labels ajoutent un retour a la ligne
 * on masque les br, presents apres les labels pour les navigateurs sans CSS,
 * pour eviter un double saut de ligne quand CSS est supporte
 */
form.enhanced_form label + br
{
  display:none;
}

/*
 * left car la legend du fieldset est a gauche
 */
form.enhanced_form fieldset
{
  text-align:left;
}

/*
 * les fieldset regroupent les radio et les checkbox
 * pour ces input, on restaure le display original
 */
form.enhanced_form fieldset
{
  margin-top:0.5em;
  border:0;
  margin-bottom:-1em;
}
form.enhanced_form fieldset legend span
{
  display:block;
  text-align:right;
}
form.enhanced_form fieldset label
{
  position:relative;
  top:-1.2em;
  text-align:left;
}

/*
 * Les dimensions sont a ajuster en fonction du formulaire
 */
#infoperso
{
  width:32em;
  margin:1em auto;
}
#infoperso label input
{
  width:15.5em;
}
#infoperso label select
{
  width:16em;
}
#infoperso fieldset label
{
  padding-left:16em;
}
#infoperso fieldset legend span
{
  width:15.6em;
}

/*
 * Ces deux lignes empechent Firefox de redimensionner les radio et les checkbox
 */
#infoperso fieldset label input
{ width:auto; }
